org.eclipse.incquery.patternlanguage.patternLanguage.util

## Class PatternLanguageAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.incquery.patternlanguage.patternLanguage.util.PatternLanguageAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory

      public class PatternLanguageAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `PatternLanguagePackage`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternLanguageAdapterFactory()` Creates an instance of the adapter factory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
    `org.eclipse.emf.common.notify.Adapter` | `createAggregatedValueAdapter()` Creates a new adapter for an object of class '`Aggregated Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAggregatorExpressionAdapter()` Creates a new adapter for an object of class '`Aggregator Expression`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAnnotationAdapter()` Creates a new adapter for an object of class '`Annotation`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAnnotationParameterAdapter()` Creates a new adapter for an object of class '`Annotation Parameter`'.
    `org.eclipse.emf.common.notify.Adapter` | `createBoolValueAdapter()` Creates a new adapter for an object of class '`Bool Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCheckConstraintAdapter()` Creates a new adapter for an object of class '`Check Constraint`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCompareConstraintAdapter()` Creates a new adapter for an object of class '`Compare Constraint`'.
    `org.eclipse.emf.common.notify.Adapter` | `createComputationValueAdapter()` Creates a new adapter for an object of class '`Computation Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createConstraintAdapter()` Creates a new adapter for an object of class '`Constraint`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCountAggregatorAdapter()` Creates a new adapter for an object of class '`Count Aggregator`'.
    `org.eclipse.emf.common.notify.Adapter` | `createDoubleValueAdapter()` Creates a new adapter for an object of class '`Double Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEntityTypeAdapter()` Creates a new adapter for an object of class '`Entity Type`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
    `org.eclipse.emf.common.notify.Adapter` | `createFunctionEvaluationValueAdapter()` Creates a new adapter for an object of class '`Function Evaluation Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createIntValueAdapter()` Creates a new adapter for an object of class '`Int Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createJvmIdentifiableElementAdapter()` Creates a new adapter for an object of class '`Jvm Identifiable Element`'.
    `org.eclipse.emf.common.notify.Adapter` | `createListValueAdapter()` Creates a new adapter for an object of class '`List Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createLiteralValueReferenceAdapter()` Creates a new adapter for an object of class '`Literal Value Reference`'.
    `org.eclipse.emf.common.notify.Adapter` | `createLocalVariableAdapter()` Creates a new adapter for an object of class '`Local Variable`'.
    `org.eclipse.emf.common.notify.Adapter` | `createModifiersAdapter()` Creates a new adapter for an object of class '`Modifiers`'.
    `org.eclipse.emf.common.notify.Adapter` | `createParameterRefAdapter()` Creates a new adapter for an object of class '`Parameter Ref`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPathExpressionConstraintAdapter()` Creates a new adapter for an object of class '`Path Expression Constraint`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPathExpressionElementAdapter()` Creates a new adapter for an object of class '`Path Expression Element`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPathExpressionHeadAdapter()` Creates a new adapter for an object of class '`Path Expression Head`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPathExpressionTailAdapter()` Creates a new adapter for an object of class '`Path Expression Tail`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPatternAdapter()` Creates a new adapter for an object of class '`Pattern`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPatternBodyAdapter()` Creates a new adapter for an object of class '`Pattern Body`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPatternCallAdapter()` Creates a new adapter for an object of class '`Pattern Call`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPatternCompositionConstraintAdapter()` Creates a new adapter for an object of class '`Pattern Composition Constraint`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPatternModelAdapter()` Creates a new adapter for an object of class '`Pattern Model`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRelationTypeAdapter()` Creates a new adapter for an object of class '`Relation Type`'.
    `org.eclipse.emf.common.notify.Adapter` | `createStringValueAdapter()` Creates a new adapter for an object of class '`String Value`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTypeAdapter()` Creates a new adapter for an object of class '`Type`'.
    `org.eclipse.emf.common.notify.Adapter` | `createValueReferenceAdapter()` Creates a new adapter for an object of class '`Value Reference`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVariableAdapter()` Creates a new adapter for an object of class '`Variable`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVariableReferenceAdapter()` Creates a new adapter for an object of class '`Variable Reference`'.
    `org.eclipse.emf.common.notify.Adapter` | `createVariableValueAdapter()` Creates a new adapter for an object of class '`Variable Value`'.
    `boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternLanguageAdapterFactory

          public PatternLanguageAdapterFactory()

      Creates an instance of the adapter factory.

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.

    - #### createPatternModelAdapter

          public org.eclipse.emf.common.notify.Adapter createPatternModelAdapter()

      Creates a new adapter for an object of class '`Pattern Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PatternModel`

    - #### createPatternAdapter

          public org.eclipse.emf.common.notify.Adapter createPatternAdapter()

      Creates a new adapter for an object of class '`Pattern`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Pattern`

    - #### createAnnotationAdapter

          public org.eclipse.emf.common.notify.Adapter createAnnotationAdapter()

      Creates a new adapter for an object of class '`Annotation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Annotation`

    - #### createAnnotationParameterAdapter

          public org.eclipse.emf.common.notify.Adapter createAnnotationParameterAdapter()

      Creates a new adapter for an object of class '`Annotation Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AnnotationParameter`

    - #### createModifiersAdapter

          public org.eclipse.emf.common.notify.Adapter createModifiersAdapter()

      Creates a new adapter for an object of class '`Modifiers`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Modifiers`

    - #### createVariableAdapter

          public org.eclipse.emf.common.notify.Adapter createVariableAdapter()

      Creates a new adapter for an object of class '`Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Variable`

    - #### createVariableReferenceAdapter

          public org.eclipse.emf.common.notify.Adapter createVariableReferenceAdapter()

      Creates a new adapter for an object of class '`Variable Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VariableReference`

    - #### createTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createTypeAdapter()

      Creates a new adapter for an object of class '`Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Type`

    - #### createPatternBodyAdapter

          public org.eclipse.emf.common.notify.Adapter createPatternBodyAdapter()

      Creates a new adapter for an object of class '`Pattern Body`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PatternBody`

    - #### createConstraintAdapter

          public org.eclipse.emf.common.notify.Adapter createConstraintAdapter()

      Creates a new adapter for an object of class '`Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Constraint`

    - #### createPatternCallAdapter

          public org.eclipse.emf.common.notify.Adapter createPatternCallAdapter()

      Creates a new adapter for an object of class '`Pattern Call`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PatternCall`

    - #### createPathExpressionElementAdapter

          public org.eclipse.emf.common.notify.Adapter createPathExpressionElementAdapter()

      Creates a new adapter for an object of class '`Path Expression Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PathExpressionElement`

    - #### createValueReferenceAdapter

          public org.eclipse.emf.common.notify.Adapter createValueReferenceAdapter()

      Creates a new adapter for an object of class '`Value Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ValueReference`

    - #### createLiteralValueReferenceAdapter

          public org.eclipse.emf.common.notify.Adapter createLiteralValueReferenceAdapter()

      Creates a new adapter for an object of class '`Literal Value Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `LiteralValueReference`

    - #### createComputationValueAdapter

          public org.eclipse.emf.common.notify.Adapter createComputationValueAdapter()

      Creates a new adapter for an object of class '`Computation Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ComputationValue`

    - #### createAggregatorExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createAggregatorExpressionAdapter()

      Creates a new adapter for an object of class '`Aggregator Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AggregatorExpression`

    - #### createParameterRefAdapter

          public org.eclipse.emf.common.notify.Adapter createParameterRefAdapter()

      Creates a new adapter for an object of class '`Parameter Ref`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ParameterRef`

    - #### createLocalVariableAdapter

          public org.eclipse.emf.common.notify.Adapter createLocalVariableAdapter()

      Creates a new adapter for an object of class '`Local Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `LocalVariable`

    - #### createEntityTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createEntityTypeAdapter()

      Creates a new adapter for an object of class '`Entity Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EntityType`

    - #### createRelationTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createRelationTypeAdapter()

      Creates a new adapter for an object of class '`Relation Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RelationType`

    - #### createPatternCompositionConstraintAdapter

          public org.eclipse.emf.common.notify.Adapter createPatternCompositionConstraintAdapter()

      Creates a new adapter for an object of class '`Pattern Composition Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PatternCompositionConstraint`

    - #### createCompareConstraintAdapter

          public org.eclipse.emf.common.notify.Adapter createCompareConstraintAdapter()

      Creates a new adapter for an object of class '`Compare Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CompareConstraint`

    - #### createCheckConstraintAdapter

          public org.eclipse.emf.common.notify.Adapter createCheckConstraintAdapter()

      Creates a new adapter for an object of class '`Check Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CheckConstraint`

    - #### createPathExpressionConstraintAdapter

          public org.eclipse.emf.common.notify.Adapter createPathExpressionConstraintAdapter()

      Creates a new adapter for an object of class '`Path Expression Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PathExpressionConstraint`

    - #### createPathExpressionHeadAdapter

          public org.eclipse.emf.common.notify.Adapter createPathExpressionHeadAdapter()

      Creates a new adapter for an object of class '`Path Expression Head`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PathExpressionHead`

    - #### createPathExpressionTailAdapter

          public org.eclipse.emf.common.notify.Adapter createPathExpressionTailAdapter()

      Creates a new adapter for an object of class '`Path Expression Tail`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `PathExpressionTail`

    - #### createIntValueAdapter

          public org.eclipse.emf.common.notify.Adapter createIntValueAdapter()

      Creates a new adapter for an object of class '`Int Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `IntValue`

    - #### createStringValueAdapter

          public org.eclipse.emf.common.notify.Adapter createStringValueAdapter()

      Creates a new adapter for an object of class '`String Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `StringValue`

    - #### createBoolValueAdapter

          public org.eclipse.emf.common.notify.Adapter createBoolValueAdapter()

      Creates a new adapter for an object of class '`Bool Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `BoolValue`

    - #### createDoubleValueAdapter

          public org.eclipse.emf.common.notify.Adapter createDoubleValueAdapter()

      Creates a new adapter for an object of class '`Double Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `DoubleValue`

    - #### createVariableValueAdapter

          public org.eclipse.emf.common.notify.Adapter createVariableValueAdapter()

      Creates a new adapter for an object of class '`Variable Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `VariableValue`

    - #### createListValueAdapter

          public org.eclipse.emf.common.notify.Adapter createListValueAdapter()

      Creates a new adapter for an object of class '`List Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ListValue`

    - #### createFunctionEvaluationValueAdapter

          public org.eclipse.emf.common.notify.Adapter createFunctionEvaluationValueAdapter()

      Creates a new adapter for an object of class '`Function Evaluation Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FunctionEvaluationValue`

    - #### createAggregatedValueAdapter

          public org.eclipse.emf.common.notify.Adapter createAggregatedValueAdapter()

      Creates a new adapter for an object of class '`Aggregated Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AggregatedValue`

    - #### createCountAggregatorAdapter

          public org.eclipse.emf.common.notify.Adapter createCountAggregatorAdapter()

      Creates a new adapter for an object of class '`Count Aggregator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CountAggregator`

    - #### createJvmIdentifiableElementAdapter

          public org.eclipse.emf.common.notify.Adapter createJvmIdentifiableElementAdapter()

      Creates a new adapter for an object of class '`Jvm Identifiable Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `JvmIdentifiableElement`

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.